Package twisted :: Package trial :: Module remote :: Class DecodeReport

[show private | hide private]
[frames | no frames]

## Class DecodeReport

    BaseProtocol --+
                   |
            Protocol --+
                       |
           Ephemeral --+
                       |
                  Pynana --+
                           |
                      Canana --+
                               |
                              DecodeReport

Known Subclasses:
  `TrialProcessProtocol`

Method Summary
| `__init__(self, reporter)`
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| `callExpressionReceived(self, obj)` (inherited from `Pynana`)
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made. (inherited from `Canana`)
| ``connectionReady`(self)` Surrogate for connectionMade Called after protocol negotiation. (inherited from `Pynana`)
| `dataReceived(self, chunk)` (inherited from `Canana`)
| ``expressionReceived`(self, lst)` Called when an expression (list, string, or int) is received.
| `gotItem(self, item)` (inherited from `Pynana`)
| `sendEncoded(self, obj)` (inherited from `Canana`)

Method Details

### expressionReceived(self, lst)

Called when an expression (list, string, or int) is received.

  Overrides:
    `twisted.spread.banana.Pynana.expressionReceived` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:16:56 2003 | http://epydoc.sf.net